PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
PAsyncNotifierFunction< ParamType >::TypedCallback< Target > Class Template Reference

`#include <notifier_ext.h>`

Inheritance diagram for PAsyncNotifierFunction< ParamType >::TypedCallback< Target >:
[legend]
Collaboration diagram for PAsyncNotifierFunction< ParamType >::TypedCallback< Target >:
[legend]

## Public Member Functions
| TypedCallback (const Target &target, PObject &notifier, ParamType extra)
virtual void | Call ()
Public Member Functions inherited from PAsyncNotifierCallback
virtual | ~PAsyncNotifierCallback ()

## Additional Inherited Members
Static Public Member Functions inherited from PAsyncNotifierCallback
static void | Queue (PNotifierIdentifer id, PAsyncNotifierCallback *callback)

## Constructor & Destructor Documentation

template<typename ParamType >
template<class Target >

PAsyncNotifierFunction< ParamType >::TypedCallback< Target >::TypedCallback | ( | const Target & | target,
|  | PObject & | notifier,
|  | ParamType | extra
| ) |  |
| inline

## Member Function Documentation

template<typename ParamType >
template<class Target >

virtual void PAsyncNotifierFunction< ParamType >::TypedCallback< Target >::Call | ( |  | ) |
| inline virtual

Implements PAsyncNotifierCallback.

The documentation for this class was generated from the following file:

- notifier_ext.h